Package org.eclipse.graphiti.pattern

# Interface IPatternContainer

All Known Subinterfaces:
  `IFeatureProviderWithPatterns`

All Known Implementing Classes:
  `DefaultFeatureProviderWithPatterns`

public interface IPatternContainer
Defines the API of a container holding a pattern.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPattern(IPattern pattern)`
Adds the pattern.

## Method Details

### addPattern

void addPattern(IPattern pattern)
Adds the pattern.

Parameters:
  `pattern` - the pattern